import socket
import pickle

def init(ip, port, format = "utf-8"):
    global client, encoding_format

    client = socket.socket(socket.AF_INET, socket.SOCK_STREAM)

    encoding_format = format
    ip = ip
    port = port

    client.connect((ip, port))

def communicate(data):
    global client

    client.send(str(data).encode(encoding_format))

    reply = client.recv(8192)

    try:
        reply = pickle.loads(reply)

    except Exception as e:
        print(e)

    return reply